LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
PdfTools Service Reference

Service to convert a PDF stream into a 2D primitive. More...

`import"PdfTools.idl";`

Inheritance diagram for PdfTools:

## Additional Inherited Members
Public Member Functions inherited from XPdfDecomposer
sequence< XPrimitive2D > | getDecomposition ([in] com::sun::star::util::XBinaryDataContainer xDataContainer, [in] sequence< com::sun::star::beans::PropertyValue > xDecompositionParameters)
| Retrieve decomposed list - in this case a bitmap with the rendered PDF. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service to convert a PDF stream into a 2D primitive.

Since
  LibreOffice 7.0

The documentation for this service was generated from the following file:

- com/sun/star/graphic/PdfTools.idl